Change log for liblocale-gettext-perl package in Ubuntu

125 of 25 results
Published in hirsute-release on 2020-10-23
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-11-02
Deleted in focal-proposed (Reason: moved to Release)
liblocale-gettext-perl (1.07-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Niko Tyni ]
  * Update build system and dependencies for cross builds
  * Replace debian/compat with a build dependency on debhelper-compat
  * Update to debhelper compat level 12
  * Update to Standards-Version 4.4.1
  * Declare that the package does not need (fake)root to build

 -- Niko Tyni <email address hidden>  Sun, 27 Oct 2019 17:04:12 +0200
Superseded in focal-release on 2019-11-02
Deleted in focal-proposed on 2019-11-03 (Reason: moved to Release)
liblocale-gettext-perl (1.07-3build4) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <email address hidden>  Fri, 18 Oct 2019 19:21:51 +0000

Available diffs

Superseded in focal-release on 2019-10-24
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed (Reason: moved to release)
liblocale-gettext-perl (1.07-3build3) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <email address hidden>  Fri, 02 Nov 2018 12:33:51 -0600

Available diffs

Superseded in disco-release on 2018-11-08
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Deleted in artful-proposed (Reason: moved to release)
liblocale-gettext-perl (1.07-3build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <email address hidden>  Wed, 26 Jul 2017 19:52:53 +0000

Available diffs

Superseded in artful-release on 2017-08-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
liblocale-gettext-perl (1.07-3build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <email address hidden>  Sun, 23 Oct 2016 12:10:23 +0100

Available diffs

Superseded in zesty-release on 2016-11-01
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
liblocale-gettext-perl (1.07-3) unstable; urgency=medium

  * Team upload.
  * Enable all hardening build flags.
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <email address hidden>  Fri, 08 Jul 2016 12:45:22 +0000

Available diffs

Superseded in yakkety-release on 2016-07-11
Deleted in yakkety-proposed on 2016-07-12 (Reason: moved to release)
liblocale-gettext-perl (1.07-2) unstable; urgency=medium

  * Team upload from the Debian Perl Sprint in Zürich.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Niko Tyni ]
  * Modernize the cross building support. (See #717433)
    + build profile restrictions require build dependencies on
      dpkg-dev (>= 1.17.14) and debhelper (>=  debhelper 9.20141010).

 -- Niko Tyni <email address hidden>  Sun, 22 May 2016 13:00:15 +0300
Superseded in yakkety-release on 2016-05-23
Published in xenial-release on 2016-01-06
Deleted in xenial-proposed (Reason: moved to release)
liblocale-gettext-perl (1.07-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <email address hidden>  Thu, 17 Dec 2015 14:31:56 +0000

Available diffs

Superseded in xenial-release on 2016-01-06
Deleted in xenial-proposed on 2016-01-08 (Reason: moved to release)
liblocale-gettext-perl (1.07-1) unstable; urgency=medium

  * Imported Upstream version 1.07.
    + fixes test failures caused by $LANGUAGE being set (Closes: #796152)
    + remove obsolete debian/patches
  * Add debian/upstream/metadata.

 -- Niko Tyni <email address hidden>  Mon, 28 Sep 2015 21:20:54 +0300

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
liblocale-gettext-perl (1.05-9) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Axel Beckert ]
  * Fix broken MetaCPAN URL in debian/copyright. Thanks DUCK!

  [ Niko Tyni ]
  * Make the package autopkgtestable
  * Mention the module name in the long description

 -- Niko Tyni <email address hidden>  Fri, 05 Jun 2015 17:23:28 +0300
Superseded in wily-release on 2015-06-06
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
liblocale-gettext-perl (1.05-8build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.
 -- Colin Watson <email address hidden>   Tue, 19 Aug 2014 14:49:16 +0100

Available diffs

Superseded in utopic-release on 2014-08-27
Deleted in utopic-proposed on 2014-08-28 (Reason: moved to release)
liblocale-gettext-perl (1.05-8) unstable; urgency=low


  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"
  * Remove trailing file name from MetaCPAN URL (Thanks DUCK!)

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ intrigeri ]
  * Declare compatibility with Standards-Version 3.9.5.
  * Bump debhelper compat level to 9.
  * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
    to get hardening build flags.

 -- intrigeri <email address hidden>  Thu, 06 Mar 2014 23:43:07 +0100
Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-10-24
Deleted in trusty-proposed (Reason: moved to release)
Deleted in trusty-release (Reason: accidentally copied to release rather than proposed)
liblocale-gettext-perl (1.05-7build3) devel; urgency=low

  * Rebuild for Perl 5.18.
 -- Colin Watson <email address hidden>   Fri, 18 Oct 2013 10:43:20 +0100
Superseded in trusty-release on 2013-10-24
Superseded in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
liblocale-gettext-perl (1.05-7build2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Tue, 02 Oct 2012 16:35:42 +0100
Superseded in quantal-release on 2012-10-02
Published in precise-release on 2011-11-15
liblocale-gettext-perl (1.05-7build1) precise; urgency=low

  * Rebuild for Perl 5.14.
 -- Colin Watson <email address hidden>   Tue, 15 Nov 2011 09:31:05 +0000

Available diffs

Superseded in precise-release on 2011-11-15
liblocale-gettext-perl (1.05-7) unstable; urgency=low

  [ Steve McIntyre ]
  * Configure perl C compilation for cross builds
    + Initial patch from Peter Pearse <email address hidden>
    Closes: #633949

  [ gregor herrmann ]
  * Improvements to Steve's patch by Ansgar.
  * Switch to source format 3.0 (quilt).
  * Add /me to Uploaders.
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.
  * debian/copyright: DEP5 format.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:08:03 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
liblocale-gettext-perl (1.05-6build1) oneiric; urgency=low

  * Rebuild for perl-5.12.
 -- Matthias Klose <email address hidden>   Wed, 04 May 2011 23:07:13 +0200

Available diffs

Superseded in oneiric-release on 2011-05-04
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
liblocale-gettext-perl (1.05-6) unstable; urgency=low

  * The -d option of dh_perl was lost by mistake while converting to tiny
    rules files. Re-add it. Closes: #548860

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
liblocale-gettext-perl (1.05-4build1) intrepid; urgency=low

  * Rebuild against Perl 5.10 on hppa.

 -- Colin Watson <email address hidden>   Sat, 14 Jun 2008 21:59:13 +0100

Available diffs

Superseded in intrepid-release on 2008-06-14
liblocale-gettext-perl (1.05-4) unstable; urgency=low

  * Put ${perl:Depends} back into Pre-Depends. The revert in 1.05-2 was
    wrong. The pre-dependency is needed to make sure that the right perl
    version is unpacked before liblocale-gettext-perl so that any
    script/module using Locale::Gettext (still) work once this module
    has been unpacked. This is particulary important for transitions like
    perl-5.8 -> perl-5.10 (see #479220 for example).
  * New patch debian/patches/compatibility-with-POSIX-module.diff so that
    Locale::Gettext re-exports the LC_* constants coming from POSIX instead
    of those coming from its own XS implementation. Closes: #479803

Superseded in intrepid-release on 2008-05-07
Obsolete in hardy-release on 2015-04-24
liblocale-gettext-perl (1.05-2ubuntu1) hardy; urgency=low

  * debian/rules:
    - relax the dependencies to workaround ordering
      problem in apt on gutsy->hardy upgrade (LP: #217435)

 -- Michael Vogt <email address hidden>   Tue, 15 Apr 2008 16:33:19 +0200
Superseded in hardy-release on 2008-04-15
liblocale-gettext-perl (1.05-2) unstable; urgency=low

  [ Raphael Hertzog ]
  * Move myself to Uploaders and put the team as Maintainer.
  * Switch to debhelper's 6th compatibility mode. Ajust Build-Depends
    accordingly. Used debian/compat instead of DH_COMPAT.
  * Remove versioned build-dependency on perl. oldstable already has a version
    new enough.
  * Updated Standards-Version to 3.7.3 (no changes)
  * Switched to quilt instead of old home-made dpatch based system.
    Added quilt to Build-Depends.
  * Refreshed patch.
  * Updated README.Debian.
  * Remove empty /usr/share/perl5.
  * Merge Pre-Depends into Depends since the reason of the use of Pre-Depends
    was wrong headed. Furthermor the bug it was working around is now fixed.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

 -- Kees Cook <email address hidden>   Wed,  13 Feb 2008 09:58:21 +0000
Superseded in hardy-release on 2008-02-13
Obsolete in gutsy-release on 2011-09-16
liblocale-gettext-perl (1.05-1build1) gutsy; urgency=low

  * No-change upload to enable stack protector.

 -- Kees Cook <email address hidden>   Tue, 14 Aug 2007 11:15:09 -0700
Superseded in gutsy-release on 2007-08-14
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
liblocale-gettext-perl (1.05-1) unstable; urgency=low


  * New upstream release
  * Conforms to policy 3.6.2.
  * Move ${perl:Depends} to Pre-Depends instead of Depends to avoid duplicate
    dependency. Fixes a lintian warning.

 -- Raphael Hertzog <email address hidden>  Wed, 22 Jun 2005 14:29:20 +0200
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
liblocale-gettext-perl (1.01-17) unstable; urgency=low


  * Corrected typo in man page. Closes: #175421
  * Updated section and priority (perl and standard respectively).
  * Conform to policy 3.5.9.

 -- Raphael Hertzog <email address hidden>  Fri, 18 Apr 2003 16:21:03 +0000
125 of 25 results